The inline icon_data from the software-center-agent is deprecated, must be replaced with a direct download using icon_url

Bug #914054 reported by Gary Lasker on 2012-01-10
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Michael Vogt
Maverick
Medium
Gary Lasker
Natty
Medium
Gary Lasker
Oneiric
Medium
Michael Vogt

Bug Description

The inline icon_data that is currently being provided by the software-center-agent on the production server has been deprecated and must be removed from the Software Center client. Instead, the icon for packages provided by the agent should be downloaded directly using the icon_url field.

Test case for SRUs:
1) remove software-center cache in ~/.cache/software-center
1a) FOR NATTY AND MAVERICK ONLY: run SOFTWARE_CENTER_BUY_HOST=https://sc.staging.ubuntu.com /usr/share/software-center/update-software-center-agent
2) run SOFTWARE_CENTER_BUY_HOST=https://sc.staging.ubuntu.com software-center
3) verify that there are no icons in the purchase section
4) install the version from -proposed
5) repeat step 1, 1a (if on natty or maverick), and 2 and verify that icons get downloaded

Related branches

This bug was fixed in software-center version 5.1.5 in Precise.

software-center (5.1.5) precise; urgency=low

  [ Kiwinote ]
  * softwarecenter/ui/gtk3/models/appstore2.py:
    - fix TypeError in load_range (LP: #911886)
  * softwarecenter/ui/gtk3/panes/historypane.py:
    - change COL_PKG to an object rather than a str (LP: #905762)
  * softwarecenter/ui/gtk3/panes/installedpane.py:
    - fix utf8 oddness to make remote installed panes work
  * softwarecenter/ui/gtk3/widgets/oneconfviews.py:
    - ensure that hostid is always a string (as we declared) (LP: #905605)
  * softwarecenter/ui/gtk3/widgets/thumbnail.py:
    - fix IndexError in set_thumbnails_from_data (LP: #888669)
  * grab exhibits for the current series only (LP: #899257)

  [ Michael Vogt ]
  * Remove explicit GObject.threads_init as initializing the threads
    explicitely causes a segfault on close but nothing more
    (LP: #907568)
  * lp:~mvo/software-center/startup-speed2:
    - improve the startup speed by moving out the (expensive) channel
      change test out of the main app into a spawned helper, also
      delays some computations and adds a cheaper way for getting the
      appcount
  * lp:~mvo/software-center/icon-data:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL
  * softwarecenter/db/debfile.py:
    - fix encoding error for some debs (based on
      lp:~roignac/software-center/bug-738771-summary-unicode), thanks
      to Vadim Rutkovsky, LP: #738771
  * softwarecenter/ui/gtk3/views/appdetailsview.py:
    - fix crash in test/gtk3/test_views.py
  * lp:~mvo/software-center/replace-restfulclient-with-piston:
    - replace lazr.restfulclient with piston-mini-client for ubuntu-sso
      and cleanup the piston-mini-client helper code

  [ Gary Lasker ]
  * softwarecenter/backend/channel_impl/aptchannels.py:
    - display the correct label text for the For Purchase menu item
      in the toolbar (LP: #911964)
  * lp:~gary-lasker/software-center/date-published-cleanup:
    - remove no longer needed code
  * lp:~gary-lasker/software-center/replace-restfulclient-with-piston-tweaks:
    - tweaks and fixes the branch

  [ Vadim Rutkovsky ]
  * lp:~roignac/software-center/bug-632773-selectable-title:
    - make the app title selectable (LP: #632773)

 -- Michael Vogt <email address hidden> Fri, 06 Jan 2012 10:56:48 +0100

summary: - Remove inline icon_data from software-center-agent
+ Replace inline icon_data sent from the software-center-agent with a
+ direct download using icon_url
Changed in software-center (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
importance: Undecided → Medium
status: New → Fix Released
Gary Lasker (gary-lasker) wrote :

Once all of the SRUs have been released, the production server will be updated to no longer provide the inline icon_data. Until then, the current behavior will be supported.

description: updated
description: updated
Michael Vogt (mvo) on 2012-01-10
Changed in software-center (Ubuntu Oneiric):
status: New → Fix Committed
Changed in software-center (Ubuntu Natty):
status: New → In Progress
Changed in software-center (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in software-center (Ubuntu Natty):
importance: Undecided → Medium
Changed in software-center (Ubuntu Maverick):
importance: Undecided → Medium
Changed in software-center (Ubuntu Natty):
assignee: nobody → Gary Lasker (gary-lasker)
summary: - Replace inline icon_data sent from the software-center-agent with a
- direct download using icon_url
+ The inline icon_data from the software-center-agent is deprecated, must
+ be replaced with a direct download using icon_url
Changed in software-center (Ubuntu Maverick):
status: New → In Progress
assignee: nobody → Gary Lasker (gary-lasker)
Changed in software-center (Ubuntu Oneiric):
assignee: nobody → Michael Vogt (mvo)
Michael Vogt (mvo) on 2012-01-12
description: updated
Changed in software-center (Ubuntu Maverick):
status: In Progress → Fix Committed
Changed in software-center (Ubuntu Natty):
status: In Progress → Fix Committed
description: updated

Hello Gary, or anyone else affected,

Accepted software-center into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that the issue described in this bug report is fixed by version 4.0.4 of software-center in oneiric-proposed, per the given test case.

Thanks!

tags: added: verification-done
removed: verification-needed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted software-center into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Martin Pitt (pitti) wrote :

Hello Gary, or anyone else affected,

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-done-oneiric
Gary Lasker (gary-lasker) wrote :

Hi, I have verified that the version of software-center in maverick-proposed (3.0.12) fixes this issue per the described test case. I've verified the same for the version in natty-proposed (4.0.7).

Thanks!

description: updated
tags: added: verification-done-maverick
tags: added: verification-done-natty
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.4

---------------
software-center (5.0.4) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp891499-for-5.0:
    - be more robust about problems reading the cataloged_times file
      as problems here can hang the UI (LP: #891499)

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug869935:
    - Update help translations from Launchpad (LP: #869935)
  * lp:~kelemeng/software-center/bug880757:
    - Mark strings containing the “ character as Unicode, to fix
      their translations. LP: #880757

  [ Michael Vogt ]
  * fix cache opening to improve startup time
  * lp:~mvo/software-center/icon-data-for-5.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)
 -- Michael Vogt <email address hidden> Tue, 10 Jan 2012 09:52:09 +0100

Changed in software-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.0.12

---------------
software-center (3.0.12) maverick-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-3.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)
 -- Gary Lasker <email address hidden> Wed, 11 Jan 2012 23:29:45 -0500

Changed in software-center (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.7

---------------
software-center (4.0.7) natty-proposed; urgency=low

  * lp:~gary-lasker/software-center/icon-data-for-4.0:
    - remove the need for inline icon data from the agent, instead
      download icons directly using the provided URL (LP: #914054)
 -- Gary Lasker <email address hidden> Wed, 11 Jan 2012 18:25:49 -0500

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers